package com.exxeta.samples.jsr352.job;

import java.util.List;

import javax.batch.api.chunk.AbstractItemWriter;
import javax.inject.Inject;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.slf4j.Logger;

@Named
public class JpaItemWriter extends AbstractItemWriter {

	@Inject
	private Logger logger;
    @PersistenceContext
    private EntityManager entityManager;

    @Override
    public void writeItems(List<Object> list) {
    	logger.debug("writeItems: {}", list);

    	for (Object person : list) {
    		entityManager.persist(person);
    	}
    }
}
