package com.exxeta.samples.jsr352.job;

import javax.batch.api.chunk.ItemProcessor;
import javax.inject.Named;

import com.exxeta.samples.jsr352.model.Person;

@Named
public class RecordToModelConverter implements ItemProcessor {

	@Override
    public Person processItem(Object item) {
        final String[] values = ((String[]) item);
		final Person result = new Person();

        result.setForename(values[1]);
        result.setSurname(values[0]);
        result.setEmailAddress(values[2]);
        return result;
    }
}
